"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class MatchedSamples(ProtocolElement):
    """
    This define a pair of germline and tumor, this pair should/must be
    analyzed together
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_2_1_0 import reports as reports_2_1_0

        return {
            "Gel_BioInf_Models.MatchedSamples": reports_2_1_0.MatchedSamples,
        }

    __slots__ = [
        "germlineSampleId",
        "tumorSampleId",
    ]

    def __init__(
        self,
        germlineSampleId=None,
        tumorSampleId=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_2_1_0.MatchedSamples model.

        :param germlineSampleId:
            Sample Id (e.g, LP00012645_5GH)) for the germline
        :type germlineSampleId: None | str
        :param tumorSampleId:
            Sample Id (e.g, LP00012643_7JS)) for the tumor
        :type tumorSampleId: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.1.0"
